std::tr1::enable_shared_from_this(3)

NAME
std::tr1::enable_shared_from_this -

SYNOPSIS

Detailed Description

  template<typename _Tp> class std::tr1::enable_shared_from_this< _Tp >

Definition at line 928 of file boost_shared_ptr.h.

  Public Member Functions
shared_ptr< const _Tp > shared_from_this () const
shared_ptr< _Tp > shared_from_this ()

  Protected Member Functions
enable_shared_from_this (const enable_shared_from_this &)
enable_shared_from_this ()
enable_shared_from_this & operator= (const enable_shared_from_this &)
~enable_shared_from_this ()

  Friends
template<typename _Tp1> void __enable_shared_from_this (const shared_count &__pn, const enable_shared_from_this *__pe, const _Tp1 *__px)

Author

Generated automatically by Doxygen for libstdc++ from the source code.